<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp.html">BI_DIR_DIFF_iobuf_bidir_knp</a></li><li class="navelem"><a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:a0a6af6eef40212dbaf130d57ce711256"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a6af6eef40212dbaf130d57ce711256"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a0a6af6eef40212dbaf130d57ce711256">ieee</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:acd03516902501cd1c7296a98e22c6fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd03516902501cd1c7296a98e22c6fcb"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#acd03516902501cd1c7296a98e22c6fcb">std_logic_1164</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a3bfffafe645b94403488b9ceca49b142"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bfffafe645b94403488b9ceca49b142"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a3bfffafe645b94403488b9ceca49b142">arriav_io_ibuf</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memitem:a626ad3b8a5b3acd6796213377a4e67df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a626ad3b8a5b3acd6796213377a4e67df"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a626ad3b8a5b3acd6796213377a4e67df">arriav_io_obuf</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memitem:aeacc882a4c649fe18bf975768bcc4512"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeacc882a4c649fe18bf975768bcc4512"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#aeacc882a4c649fe18bf975768bcc4512">arriav_pseudo_diff_out</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ae7547faea738ef1833ae0efb1c092038"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7547faea738ef1833ae0efb1c092038"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#ae7547faea738ef1833ae0efb1c092038">wire_ibufa_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90bfc338b9c67b150b66585fd9dfa29b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90bfc338b9c67b150b66585fd9dfa29b"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a90bfc338b9c67b150b66585fd9dfa29b">wire_obuf_ba_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4abe5bbe45ffd440c92c87b28e12c486"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4abe5bbe45ffd440c92c87b28e12c486"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a4abe5bbe45ffd440c92c87b28e12c486">wire_obuf_ba_oe</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf34ca3fbea14131374d9c9dc955331b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf34ca3fbea14131374d9c9dc955331b"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#aaf34ca3fbea14131374d9c9dc955331b">wire_pseudo_diffa_w_lg_oebout3w</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0df8d5f0f7ecefc41df683f1d2d93fc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0df8d5f0f7ecefc41df683f1d2d93fc1"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a0df8d5f0f7ecefc41df683f1d2d93fc1">wire_obufa_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa119f88d42a60cb2360f88ce04d31e24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa119f88d42a60cb2360f88ce04d31e24"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#aa119f88d42a60cb2360f88ce04d31e24">wire_obufa_oe</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2e9920ddd3854caafc1770296121cec7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e9920ddd3854caafc1770296121cec7"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a2e9920ddd3854caafc1770296121cec7">wire_pseudo_diffa_w_lg_oeout2w</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb12f617dd8046cc7c7c34f02130959a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb12f617dd8046cc7c7c34f02130959a"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#abb12f617dd8046cc7c7c34f02130959a">wire_pseudo_diffa_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff43b94ee6629859fb041f577573f3ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff43b94ee6629859fb041f577573f3ba"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#aff43b94ee6629859fb041f577573f3ba">wire_pseudo_diffa_obar</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab9d95cbd07d44b2291ea609b760dca98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9d95cbd07d44b2291ea609b760dca98"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#ab9d95cbd07d44b2291ea609b760dca98">wire_pseudo_diffa_oebout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a8d599613de0e65cb3e0972acf3bb77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a8d599613de0e65cb3e0972acf3bb77"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a3a8d599613de0e65cb3e0972acf3bb77">wire_pseudo_diffa_oein</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa22e1d11ae0a2ab3bc9a33a715de3825"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa22e1d11ae0a2ab3bc9a33a715de3825"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#aa22e1d11ae0a2ab3bc9a33a715de3825">wire_w_lg_oe1w</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7cf12e763e5cfa4ee631933b65211df0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7cf12e763e5cfa4ee631933b65211df0"></a>
<a class="el" href="classBI__DIR__DIFF__iobuf__bidir__knp_1_1RTL.html#a7cf12e763e5cfa4ee631933b65211df0">wire_pseudo_diffa_oeout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="BI__DIR__DIFF_8vhd_source.html#l00059">59</a> of file <a class="el" href="BI__DIR__DIFF_8vhd_source.html">BI_DIR_DIFF.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/<a class="el" href="BI__DIR__DIFF_8vhd_source.html">BI_DIR_DIFF.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
